com.digi.xbee.api.models

## Class XBeeReceiveOptions

- java.lang.Object
- - com.digi.xbee.api.models.XBeeReceiveOptions

-     public class XBeeReceiveOptions
      extends Object

  This class lists all the possible options that have been set while receiving an XBee packet.

  The receive options are usually set as a bitfield meaning that the options can be combined using the '|' operand.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APS_ENCRYPTED` Packet encrypted with APS encryption (value: 32).
    `static int` | `BROADCAST_PACKET` Packet was a broadcast packet (value: 2).
    `static int` | `NONE` No special receive options (value: 0).
    `static int` | `PACKET_ACKNOWLEDGED` Packet was acknowledged (value: 1).
    `static int` | `SENT_FROM_END_DEVICE` Packet was sent from an end device, if known (value: 64).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBeeReceiveOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APS_ENCRYPTED

          public static final int APS_ENCRYPTED

      Packet encrypted with APS encryption (value: 32).

      Only valid for ZigBee XBee protocol.

      See Also:
        Constant Field Values

    - #### BROADCAST_PACKET

          public static final int BROADCAST_PACKET

      Packet was a broadcast packet (value: 2).

      Not valid for Wi-Fi protocol

      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      No special receive options (value: 0).
      See Also:
        Constant Field Values

    - #### PACKET_ACKNOWLEDGED

          public static final int PACKET_ACKNOWLEDGED

      Packet was acknowledged (value: 1).

      Not valid for Wi-Fi protocol

      See Also:
        Constant Field Values

    - #### SENT_FROM_END_DEVICE

          public static final int SENT_FROM_END_DEVICE

      Packet was sent from an end device, if known (value: 64).

      Only valid for ZigBee XBee protocol.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBeeReceiveOptions

          public XBeeReceiveOptions()

© Copyright 2014–2014 Digi International Inc. All rights reserved.